version: '3'

services:

  catalyst-optimizer:
    build:
      context: ./
      dockerfile: ./catalyst-optimizer/deployment/Dockerfile
    container_name: catalyst-optimizer
    restart: always
    ports:
     - "8083:8080"
    environment:
     - DB_API=http://172.21.0.7:8080/db-api-1.0.0/
     - METRIC_HOST=http://172.21.0.108:8080/catalyst-metrics-calculator-0.0.1/
     - DA_HOUR=20
     - ID_HOUR=22
     - PILOT_DC_NAME=PILOT_DATACENTER
     - MARKET_API=http://localhost:8081/db-api-1.0.0/test-marketplace-connector
     - MARKET_USERNAME=test_actor_username
    networks:
      catalyst_net:
         ipv4_address: 172.21.0.107

  catalyst-metrics-calculator:
    build:
      context: ./
      dockerfile: ./catalyst-efficiency-metrics-calculator/Dockerfile
    container_name: catalyst-metrics-calculator
    restart: always
    ports:
     - "8082:8082"
    environment:
     - DBAPI_IP=172.21.0.7
     - DBAPI_PORT=8080
    networks:
      catalyst_net:
         ipv4_address: 172.21.0.108

networks:
  catalyst_net:
    external: true

    
      

      
